<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

if(!defined('AMINA_CSS')) include_once(AMINA_PATH.'/css.php');

if(AMINA) {
	$action_url = $action;
} else {
	switch ($w) {
    case 'u' :
        $action_url = './write.php';
        $return_url = './board.php?bo_table='.$bo_table.'&wr_id='.$wr_id;
        break;
    case 'd' :
        $action_url = './delete.php';
        $return_url = './board.php?bo_table='.$bo_table.'&wr_id='.$wr_id;
        break;
    case 'x' :
        $action_url = './delete_comment.php';
        $row = sql_fetch(" select wr_parent from $write_table where wr_id = '$comment_id' ");
        $return_url = './board.php?bo_table='.$bo_table.'&wr_id='.$row['wr_parent'];
        break;
    case 's' :
        // 패스워드 창에서 로그인 하는 경우 관리자 또는 자신의 글이면 바로 글보기로 감
        if ($is_admin || ($member['mb_id'] == $write['mb_id'] && $write['mb_id']))
            goto_url('./board.php?bo_table='.$bo_table.'&wr_id='.$wr_id);
        else {
            $action_url = './password_check.php';
            $return_url = './board.php?bo_table='.$bo_table;
        }
        break;
	}
}

$skin_val = $aminaThema['login_skin'];
$skin_dir = 'misc/login';
$skin_name = 'login.skin.php';
$action = 'password';

if(file_exists(THEMA_PATH.'/skin/'.$skin_name)) {
	$member_skin_path = THEMA_PATH.'/skin';
	$member_skin_url = THEMA_URL.'/skin';
} else if(file_exists(AMINA_PATH.'/'.$skin_dir.'/'.$skin_val.'/'.$skin_name)) {
	$member_skin_path = AMINA_PATH.'/'.$skin_dir.'/'.$skin_val;
	$member_skin_url = AMINA_URL.'/'.$skin_dir.'/'.$skin_val;
} else {
	$member_skin_path = AMINA_PATH.'/'.$skin_dir.'/basic';
	$member_skin_url = AMINA_URL.'/'.$skin_dir.'/basic';
}

include($member_skin_path.'/'.$skin_name);

?>
